ScenebrewDevelopers
API referenceScenes

Download Scene Artifact

GET
/v1/scenes/{scene_id}/artifacts/{kind}/content

The artifact's bytes: a 307 to a short-lived presigned URL. Requires the read scope.

AuthorizationBearer <token>

First-party API key (sbk_live_…), presented as a Bearer token.

In: header

Path Parameters

scene_id*Scene Id
Formatuuid
kind*Kind

Value in

  • "sdd"
  • "peg"
  • "blueprint"
  • "model"
  • "layout_preview"
  • "thumbnail"

Query Parameters

version?|null

Response Body

application/problem+json

curl -X GET "https://example.com/v1/scenes/497f6eca-6276-4993-bfeb-53cbbbba6f08/artifacts/sdd/content"
Empty